> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Rate

> Get exchange rate quote.



## OpenAPI

````yaml POST /gateway/quote
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /gateway/quote:
    post:
      tags:
        - Transaction
      summary: Exchange Rate
      description: Get exchange rate quote.
      operationId: getExchangeRate
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          required: true
          description: Bearer token
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                destinationCountry:
                  type: string
                fromCurrency:
                  type: string
                mobileOperator:
                  type: string
                transactionAmountCurrency:
                  type: string
                transactionType:
                  type: string
      responses:
        '200':
          description: Quote generated
          content:
            application/json:
              schema:
                type: object
                properties:
                  walletAmount:
                    type: number
                  walletCurrency:
                    type: string
                  transactionAmount:
                    type: number
                  fxRate:
                    type: number
                  fee:
                    type: number
                  total_amount:
                    type: number
      servers:
        - url: https://api.stag.songhaiexchange.io

````